%global gem_name cri

Name: rubygem-%{gem_name}
Version: 2.10.1
Release: 4%{?dist}
Summary: Ruby library for building easy-to-use commandline tools
Group: Development/Languages
License: MIT
URL: http://rubygems.org/gems/cri
Source0: http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: rubygem-minitest
BuildRequires: rubygem-colored
BuildRequires: ruby
BuildArch: noarch

%description
Cri allows building easy-to-use command-line interfaces with support for
subcommands.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.

%prep
gem unpack %{SOURCE0}

ls
pwd
%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


%check
pushd .%{gem_instdir}
# We don't care about coverage.
sed -i '/[Cc]overalls/ s/^/#/' test/helper.rb

ruby -Ilib:test -e 'require "./test/helper.rb"; Dir.glob "./test/test_*.rb", &method(:require)'
popd


%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%exclude %{gem_instdir}/Gemfile.lock
%exclude %{gem_instdir}/test
%exclude %{gem_instdir}/CODE_OF_CONDUCT.md
%doc %{gem_instdir}/README.adoc
%{gem_instdir}/Rakefile
%{gem_instdir}/cri.gemspec
%doc %{gem_instdir}/NEWS.md

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Nov 13 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 2.10.1-2
- Exclude CODE_OF_CONDUCT.md file

* Mon Nov 13 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 2.10.1-1
- Update version

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 05 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 2.9.1-2
- Remove Requires

* Mon Jun 05 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 2.9.1-1
- Update version
- Add Requires on rubygem-colored

* Mon Apr 03 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 2.8.0-3
- Adjust Ilib param in %%check

* Mon Apr 03 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 2.8.0-2
- Fix Bogus date in changelog

* Mon Apr 03 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 2.8.0-1
- Update version

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 03 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 2.7.1-1
- Update version

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 21 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 1.0.1-9
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 06 2012 Vít Ondruch <vondruch@redhat.com> - 1.0.1-6
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 01 2010 Michal Fojtik <mfojtik@redhat.com> - 1.0.1-3
- Fixed attributes on doc subpackage
- Fixed release version number

* Sun Oct 17 2010 Michal Fojtik <mfojtik@redhat.com> - 1.0.1-2
- Fixed version to MIT
- Rakefile moved to -doc
- Changed summary text

* Thu Oct 07 2010 Michal Fojtik <mfojtik@redhat.com> - 1.0.1-1
- Initial package
